| IOLink 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
iolink::Serialization Class Reference

Serialization class which provides methods to serialize and unserialize most of IOLink objects. More...

`#include <iolink/serialization/Serialization.h>`

## Public Member Functions
| Serialization (const Serialization &other)=delete
| Serialization (Serialization &&other)=delete
Serialization & | operator= (const Serialization &other)=delete
Serialization & | operator= (Serialization &&other)=delete

## Static Public Member Functions
static void | encodeImageView (std::shared_ptr< ImageView > image, std::shared_ptr< StreamAccess > outStream)
| Factory to serialize an ImageView into a stream.
static std::shared_ptr< ImageView > | decodeImageView (std::shared_ptr< StreamAccess > inStream)
| Factory to unserialize an ImageView from a stream.
static void | encodeArrayXi8 (const ArrayXi8 &src, std::shared_ptr< StreamAccess > dst)
| Serialize an Array into a stream.
static void | encodeArrayXi16 (const ArrayXi16 &src, std::shared_ptr< StreamAccess > dst)
| Serialize an Array into a stream.
static void | encodeArrayXi32 (const ArrayXi32 &src, std::shared_ptr< StreamAccess > dst)
| Serialize an Array into a stream.
static void | encodeArrayXi64 (const ArrayXi64 &src, std::shared_ptr< StreamAccess > dst)
| Serialize an Array into a stream.
static void | encodeArrayXu8 (const ArrayXu8 &src, std::shared_ptr< StreamAccess > dst)
| Serialize an Array into a stream.
static void | encodeArrayXu16 (const ArrayXu16 &src, std::shared_ptr< StreamAccess > dst)
| Serialize an Array into a stream.
static void | encodeArrayXu32 (const ArrayXu32 &src, std::shared_ptr< StreamAccess > dst)
| Serialize an Array into a stream.
static void | encodeArrayXu64 (const ArrayXu64 &src, std::shared_ptr< StreamAccess > dst)
| Serialize an Array into a stream.
static void | encodeArrayXf (const ArrayXf &src, std::shared_ptr< StreamAccess > dst)
| Serialize an Array into a stream.
static void | encodeArrayXd (const ArrayXd &src, std::shared_ptr< StreamAccess > dst)
| Serialize an Array into a stream.
static ArrayXi8 | decodeArrayXi8 (std::shared_ptr< StreamAccess > src)
| Decode an array from a stream.
static ArrayXi16 | decodeArrayXi16 (std::shared_ptr< StreamAccess > src)
| Decode an array from a stream.
static ArrayXi32 | decodeArrayXi32 (std::shared_ptr< StreamAccess > src)
| Decode an array from a stream.
static ArrayXi64 | decodeArrayXi64 (std::shared_ptr< StreamAccess > src)
| Decode an array from a stream.
static ArrayXu8 | decodeArrayXu8 (std::shared_ptr< StreamAccess > src)
| Decode an array from a stream.
static ArrayXu16 | decodeArrayXu16 (std::shared_ptr< StreamAccess > src)
| Decode an array from a stream.
static ArrayXu32 | decodeArrayXu32 (std::shared_ptr< StreamAccess > src)
| Decode an array from a stream.
static ArrayXu64 | decodeArrayXu64 (std::shared_ptr< StreamAccess > src)
| Decode an array from a stream.
static ArrayXf | decodeArrayXf (std::shared_ptr< StreamAccess > src)
| Decode an array from a stream.
static ArrayXd | decodeArrayXd (std::shared_ptr< StreamAccess > src)
| Decode an array from a stream.
static void | encodeVector2u8 (const Vector2u8 &vect, std::shared_ptr< StreamAccess > outStream)
| Factory to serialize a Vector2 into a stream.
static void | encodeVector2u16 (const Vector2u16 &vect, std::shared_ptr< StreamAccess > outStream)
| Factory to serialize a Vector2 into a stream.
static void | encodeVector2u32 (const Vector2u32 &vect, std::shared_ptr< StreamAccess > outStream)
| Factory to serialize a Vector2 into a stream.
static void | encodeVector2u64 (const Vector2u64 &vect, std::shared_ptr< StreamAccess > outStream)
| Factory to serialize a Vector2 into a stream.
static void | encodeVector2i8 (const Vector2i8 &vect, std::shared_ptr< StreamAccess > outStream)
| Factory to serialize a Vector2 into a stream.
static void | encodeVector2i16 (const Vector2i16 &vect, std::shared_ptr< StreamAccess > outStream)
| Factory to serialize a Vector2 into a stream.
static void | encodeVector2i32 (const Vector2i32 &vect, std::shared_ptr< StreamAccess > outStream)
| Factory to serialize a Vector2 into a stream.
static void | encodeVector2i64 (const Vector2i64 &vect, std::shared_ptr< StreamAccess > outStream)
| Factory to serialize a Vector2 into a stream.
static void | encodeVector2f (const Vector2f &vect, std::shared_ptr< StreamAccess > outStream)
| Factory to serialize a Vector2 into a stream.
static void | encodeVector2d (const Vector2d &vect, std::shared_ptr< StreamAccess > outStream)
| Factory to serialize a Vector2 into a stream.
static Vector2u8 | decodeVector2u8 (std::shared_ptr< StreamAccess > inStream)
| Factory to unserialize a Vector2 from a stream.
static Vector2u16 | decodeVector2u16 (std::shared_ptr< StreamAccess > inStream)
| Factory to unserialize a Vector2 from a stream.
static Vector2u32 | decodeVector2u32 (std::shared_ptr< StreamAccess > inStream)
| Factory to unserialize a Vector2 from a stream.
static Vector2u64 | decodeVector2u64 (std::shared_ptr< StreamAccess > inStream)
| Factory to unserialize a Vector2 from a stream.
static Vector2i8 | decodeVector2i8 (std::shared_ptr< StreamAccess > inStream)
| Factory to unserialize a Vector2 from a stream.
static Vector2i16 | decodeVector2i16 (std::shared_ptr< StreamAccess > inStream)
| Factory to unserialize a Vector2 from a stream.
static Vector2i32 | decodeVector2i32 (std::shared_ptr< StreamAccess > inStream)
| Factory to unserialize a Vector2 from a stream.
static Vector2i64 | decodeVector2i64 (std::shared_ptr< StreamAccess > inStream)
| Factory to unserialize a Vector2 from a stream.
static Vector2f | decodeVector2f (std::shared_ptr< StreamAccess > inStream)
| Factory to unserialize a Vector2 from a stream.
static Vector2d | decodeVector2d (std::shared_ptr< StreamAccess > inStream)
| Factory to unserialize a Vector2 from a stream.
static void | encodeVector3u8 (const Vector3u8 &vect, std::shared_ptr< StreamAccess > outStream)
| Factory to serialize a Vector3 into a stream.
static void | encodeVector3u16 (const Vector3u16 &vect, std::shared_ptr< StreamAccess > outStream)
| Factory to serialize a Vector3 into a stream.
static void | encodeVector3u32 (const Vector3u32 &vect, std::shared_ptr< StreamAccess > outStream)
| Factory to serialize a Vector3 into a stream.
static void | encodeVector3u64 (const Vector3u64 &vect, std::shared_ptr< StreamAccess > outStream)
| Factory to serialize a Vector3 into a stream.
static void | encodeVector3i8 (const Vector3i8 &vect, std::shared_ptr< StreamAccess > outStream)
| Factory to serialize a Vector3 into a stream.
static void | encodeVector3i16 (const Vector3i16 &vect, std::shared_ptr< StreamAccess > outStream)
| Factory to serialize a Vector3 into a stream.
static void | encodeVector3i32 (const Vector3i32 &vect, std::shared_ptr< StreamAccess > outStream)
| Factory to serialize a Vector3 into a stream.
static void | encodeVector3i64 (const Vector3i64 &vect, std::shared_ptr< StreamAccess > outStream)
| Factory to serialize a Vector3 into a stream.
static void | encodeVector3f (const Vector3f &vect, std::shared_ptr< StreamAccess > outStream)
| Factory to serialize a Vector3 into a stream.
static void | encodeVector3d (const Vector3d &vect, std::shared_ptr< StreamAccess > outStream)
| Factory to serialize a Vector3 into a stream.
static Vector3u8 | decodeVector3u8 (std::shared_ptr< StreamAccess > inStream)
| Method to load a Vector3 which has been serialized into a stream.
static Vector3u16 | decodeVector3u16 (std::shared_ptr< StreamAccess > inStream)
| Method to load a Vector3 which has been serialized into a stream.
static Vector3u32 | decodeVector3u32 (std::shared_ptr< StreamAccess > inStream)
| Method to load a Vector3 which has been serialized into a stream.
static Vector3u64 | decodeVector3u64 (std::shared_ptr< StreamAccess > inStream)
| Method to load a Vector3 which has been serialized into a stream.
static Vector3i8 | decodeVector3i8 (std::shared_ptr< StreamAccess > inStream)
| Method to load a Vector3 which has been serialized into a stream.
static Vector3i16 | decodeVector3i16 (std::shared_ptr< StreamAccess > inStream)
| Method to load a Vector3 which has been serialized into a stream.
static Vector3i32 | decodeVector3i32 (std::shared_ptr< StreamAccess > inStream)
| Method to load a Vector3 which has been serialized into a stream.
static Vector3i64 | decodeVector3i64 (std::shared_ptr< StreamAccess > inStream)
| Method to load a Vector3 which has been serialized into a stream.
static Vector3f | decodeVector3f (std::shared_ptr< StreamAccess > inStream)
| Method to load a Vector3 which has been serialized into a stream.
static Vector3d | decodeVector3d (std::shared_ptr< StreamAccess > inStream)
| Method to load a Vector3 which has been serialized into a stream.
static void | encodeVector4u8 (const Vector4u8 &vect, std::shared_ptr< StreamAccess > outStream)
| Factory to serialize a Vector4 into a stream.
static void | encodeVector4u16 (const Vector4u16 &vect, std::shared_ptr< StreamAccess > outStream)
| Factory to serialize a Vector4 into a stream.
static void | encodeVector4u32 (const Vector4u32 &vect, std::shared_ptr< StreamAccess > outStream)
| Factory to serialize a Vector4 into a stream.
static void | encodeVector4u64 (const Vector4u64 &vect, std::shared_ptr< StreamAccess > outStream)
| Factory to serialize a Vector4 into a stream.
static void | encodeVector4i8 (const Vector4i8 &vect, std::shared_ptr< StreamAccess > outStream)
| Factory to serialize a Vector4 into a stream.
static void | encodeVector4i16 (const Vector4i16 &vect, std::shared_ptr< StreamAccess > outStream)
| Factory to serialize a Vector4 into a stream.
static void | encodeVector4i32 (const Vector4i32 &vect, std::shared_ptr< StreamAccess > outStream)
| Factory to serialize a Vector4 into a stream.
static void | encodeVector4i64 (const Vector4i64 &vect, std::shared_ptr< StreamAccess > outStream)
| Factory to serialize a Vector4 into a stream.
static void | encodeVector4f (const Vector4f &vect, std::shared_ptr< StreamAccess > outStream)
| Factory to serialize a Vector4 into a stream.
static void | encodeVector4d (const Vector4d &vect, std::shared_ptr< StreamAccess > outStream)
| Factory to serialize a Vector4 into a stream.
static Vector4u8 | decodeVector4u8 (std::shared_ptr< StreamAccess > inStream)
| Factory to unserialize a Vector4 from a stream.
static Vector4u16 | decodeVector4u16 (std::shared_ptr< StreamAccess > inStream)
| Factory to unserialize a Vector4 from a stream.
static Vector4u32 | decodeVector4u32 (std::shared_ptr< StreamAccess > inStream)
| Factory to unserialize a Vector4 from a stream.
static Vector4u64 | decodeVector4u64 (std::shared_ptr< StreamAccess > inStream)
| Factory to unserialize a Vector4 from a stream.
static Vector4i8 | decodeVector4i8 (std::shared_ptr< StreamAccess > inStream)
| Factory to unserialize a Vector4 from a stream.
static Vector4i16 | decodeVector4i16 (std::shared_ptr< StreamAccess > inStream)
| Factory to unserialize a Vector4 from a stream.
static Vector4i32 | decodeVector4i32 (std::shared_ptr< StreamAccess > inStream)
| Factory to unserialize a Vector4 from a stream.
static Vector4i64 | decodeVector4i64 (std::shared_ptr< StreamAccess > inStream)
| Factory to unserialize a Vector4 from a stream.
static Vector4f | decodeVector4f (std::shared_ptr< StreamAccess > inStream)
| Factory to unserialize a Vector4 from a stream.
static Vector4d | decodeVector4d (std::shared_ptr< StreamAccess > inStream)
| Factory to unserialize a Vector4 from a stream.
static void | encodeVectorXu8 (const VectorXu8 &vect, std::shared_ptr< StreamAccess > outStream)
| Factory to serialize a VectorX into a stream.
static void | encodeVectorXu16 (const VectorXu16 &vect, std::shared_ptr< StreamAccess > outStream)
| Factory to serialize a VectorX into a stream.
static void | encodeVectorXu32 (const VectorXu32 &vect, std::shared_ptr< StreamAccess > outStream)
| Factory to serialize a VectorX into a stream.
static void | encodeVectorXu64 (const VectorXu64 &vect, std::shared_ptr< StreamAccess > outStream)
| Factory to serialize a VectorX into a stream.
static void | encodeVectorXi8 (const VectorXi8 &vect, std::shared_ptr< StreamAccess > outStream)
| Factory to serialize a VectorX into a stream.
static void | encodeVectorXi16 (const VectorXi16 &vect, std::shared_ptr< StreamAccess > outStream)
| Factory to serialize a VectorX into a stream.
static void | encodeVectorXi32 (const VectorXi32 &vect, std::shared_ptr< StreamAccess > outStream)
| Factory to serialize a VectorX into a stream.
static void | encodeVectorXi64 (const VectorXi64 &vect, std::shared_ptr< StreamAccess > outStream)
| Factory to serialize a VectorX into a stream.
static void | encodeVectorXf (const VectorXf &vect, std::shared_ptr< StreamAccess > outStream)
| Factory to serialize a VectorX into a stream.
static void | encodeVectorXd (const VectorXd &vect, std::shared_ptr< StreamAccess > outStream)
| Factory to serialize a VectorX into a stream.
static VectorXu8 | decodeVectorXu8 (std::shared_ptr< StreamAccess > inStream)
| Factory to unserialize a VectorX from a stream.
static VectorXu16 | decodeVectorXu16 (std::shared_ptr< StreamAccess > inStream)
| Factory to unserialize a VectorX from a stream.
static VectorXu32 | decodeVectorXu32 (std::shared_ptr< StreamAccess > inStream)
| Factory to unserialize a VectorX from a stream.
static VectorXu64 | decodeVectorXu64 (std::shared_ptr< StreamAccess > inStream)
| Factory to unserialize a VectorX from a stream.
static VectorXi8 | decodeVectorXi8 (std::shared_ptr< StreamAccess > inStream)
| Factory to unserialize a VectorX from a stream.
static VectorXi16 | decodeVectorXi16 (std::shared_ptr< StreamAccess > inStream)
| Factory to unserialize a VectorX from a stream.
static VectorXi32 | decodeVectorXi32 (std::shared_ptr< StreamAccess > inStream)
| Factory to unserialize a VectorX from a stream.
static VectorXi64 | decodeVectorXi64 (std::shared_ptr< StreamAccess > inStream)
| Factory to unserialize a VectorX from a stream.
static VectorXf | decodeVectorXf (std::shared_ptr< StreamAccess > inStream)
| Factory to unserialize a VectorX from a stream.
static VectorXd | decodeVectorXd (std::shared_ptr< StreamAccess > inStream)
| Factory to unserialize a VectorX from a stream.
static void | encodeDataFrameView (std::shared_ptr< DataFrameView > dataFrame, std::shared_ptr< StreamAccess > outStream)
| Factory to serialize a DataFrameView into a stream.
static std::shared_ptr< DataFrameView > | decodeDataFrameView (std::shared_ptr< StreamAccess > inStream)
| Factory to unserialize a DataFrameView from a stream.
static void | encodeMatrix3f (const Matrix3f &mat, std::shared_ptr< StreamAccess > outStream)
| Factory to serialize a Matrix into a stream.
static void | encodeMatrix4f (const Matrix4f &mat, std::shared_ptr< StreamAccess > outStream)
| Factory to serialize a Matrix into a stream.
static void | encodeMatrix3d (const Matrix3d &mat, std::shared_ptr< StreamAccess > outStream)
| Factory to serialize a Matrix into a stream.
static void | encodeMatrix4d (const Matrix4d &mat, std::shared_ptr< StreamAccess > outStream)
| Factory to serialize a Matrix into a stream.
static Matrix3f | decodeMatrix3f (std::shared_ptr< StreamAccess > inStream)
| Factory to unserialize a Matrix from a stream.
static Matrix4f | decodeMatrix4f (std::shared_ptr< StreamAccess > inStream)
| Factory to unserialize a Matrix from a stream.
static Matrix3d | decodeMatrix3d (std::shared_ptr< StreamAccess > inStream)
| Factory to unserialize a Matrix from a stream.
static Matrix4d | decodeMatrix4d (std::shared_ptr< StreamAccess > inStream)
| Factory to unserialize a Matrix from a stream.

## Detailed Description

Serialization class which provides methods to serialize and unserialize most of IOLink objects.

## Member Function Documentation

## ◆ decodeArrayXd()

static ArrayXd iolink::Serialization::decodeArrayXd | ( | std::shared_ptr< StreamAccess > | src | ) |
| static

Decode an array from a stream.

Parameters

  src | The stream to decode from.

Returns
  The decoded array.

## ◆ decodeArrayXf()

static ArrayXf iolink::Serialization::decodeArrayXf | ( | std::shared_ptr< StreamAccess > | src | ) |
| static

Decode an array from a stream.

Parameters

  src | The stream to decode from.

Returns
  The decoded array.

## ◆ decodeArrayXi16()

static ArrayXi16 iolink::Serialization::decodeArrayXi16 | ( | std::shared_ptr< StreamAccess > | src | ) |
| static

Decode an array from a stream.

Parameters

  src | The stream to decode from.

Returns
  The decoded array.

## ◆ decodeArrayXi32()

static ArrayXi32 iolink::Serialization::decodeArrayXi32 | ( | std::shared_ptr< StreamAccess > | src | ) |
| static

Decode an array from a stream.

Parameters

  src | The stream to decode from.

Returns
  The decoded array.

## ◆ decodeArrayXi64()

static ArrayXi64 iolink::Serialization::decodeArrayXi64 | ( | std::shared_ptr< StreamAccess > | src | ) |
| static

Decode an array from a stream.

Parameters

  src | The stream to decode from.

Returns
  The decoded array.

## ◆ decodeArrayXi8()

static ArrayXi8 iolink::Serialization::decodeArrayXi8 | ( | std::shared_ptr< StreamAccess > | src | ) |
| static

Decode an array from a stream.

Parameters

  src | The stream to decode from.

Returns
  The decoded array.

## ◆ decodeArrayXu16()

static ArrayXu16 iolink::Serialization::decodeArrayXu16 | ( | std::shared_ptr< StreamAccess > | src | ) |
| static

Decode an array from a stream.

Parameters

  src | The stream to decode from.

Returns
  The decoded array.

## ◆ decodeArrayXu32()

static ArrayXu32 iolink::Serialization::decodeArrayXu32 | ( | std::shared_ptr< StreamAccess > | src | ) |
| static

Decode an array from a stream.

Parameters

  src | The stream to decode from.

Returns
  The decoded array.

## ◆ decodeArrayXu64()

static ArrayXu64 iolink::Serialization::decodeArrayXu64 | ( | std::shared_ptr< StreamAccess > | src | ) |
| static

Decode an array from a stream.

Parameters

  src | The stream to decode from.

Returns
  The decoded array.

## ◆ decodeArrayXu8()

static ArrayXu8 iolink::Serialization::decodeArrayXu8 | ( | std::shared_ptr< StreamAccess > | src | ) |
| static

Decode an array from a stream.

Parameters

  src | The stream to decode from.

Returns
  The decoded array.

## ◆ decodeDataFrameView()

static std::shared_ptr< DataFrameView > iolink::Serialization::decodeDataFrameView | ( | std::shared_ptr< StreamAccess > | inStream | ) |
| static

Factory to unserialize a DataFrameView from a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a in-memory DataFrameView built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not a DataFrameView
  Error | if decoding issue (synchronization tag not found)

## ◆ decodeImageView()

static std::shared_ptr< ImageView > iolink::Serialization::decodeImageView | ( | std::shared_ptr< StreamAccess > | inStream | ) |
| static

Factory to unserialize an ImageView from a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a in-memory ImageView built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not an ImageView
  Error | if decoding issue (synchronization tag not found)

## ◆ decodeMatrix3d()

static Matrix3d iolink::Serialization::decodeMatrix3d | ( | std::shared_ptr< StreamAccess > | inStream | ) |
| static

Factory to unserialize a Matrix from a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a Matrix built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not a Matrix
  Error | if data type or dimension read from stream is not compatible with requested matrix type

## ◆ decodeMatrix3f()

static Matrix3f iolink::Serialization::decodeMatrix3f | ( | std::shared_ptr< StreamAccess > | inStream | ) |
| static

Factory to unserialize a Matrix from a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a Matrix built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not a Matrix
  Error | if data type or dimension read from stream is not compatible with requested matrix type

## ◆ decodeMatrix4d()

static Matrix4d iolink::Serialization::decodeMatrix4d | ( | std::shared_ptr< StreamAccess > | inStream | ) |
| static

Factory to unserialize a Matrix from a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a Matrix built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not a Matrix
  Error | if data type or dimension read from stream is not compatible with requested matrix type

## ◆ decodeMatrix4f()

static Matrix4f iolink::Serialization::decodeMatrix4f | ( | std::shared_ptr< StreamAccess > | inStream | ) |
| static

Factory to unserialize a Matrix from a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a Matrix built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not a Matrix
  Error | if data type or dimension read from stream is not compatible with requested matrix type

## ◆ decodeVector2d()

static Vector2d iolink::Serialization::decodeVector2d | ( | std::shared_ptr< StreamAccess > | inStream | ) |
| static

Factory to unserialize a Vector2 from a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a Vector2 built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not a Vector
  Error | if data type read from stream is not compatible with requested vector type

## ◆ decodeVector2f()

static Vector2f iolink::Serialization::decodeVector2f | ( | std::shared_ptr< StreamAccess > | inStream | ) |
| static

Factory to unserialize a Vector2 from a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a Vector2 built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not a Vector
  Error | if data type read from stream is not compatible with requested vector type

## ◆ decodeVector2i16()

static Vector2i16 iolink::Serialization::decodeVector2i16 | ( | std::shared_ptr< StreamAccess > | inStream | ) |
| static

Factory to unserialize a Vector2 from a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a Vector2 built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not a Vector
  Error | if data type read from stream is not compatible with requested vector type

## ◆ decodeVector2i32()

static Vector2i32 iolink::Serialization::decodeVector2i32 | ( | std::shared_ptr< StreamAccess > | inStream | ) |
| static

Factory to unserialize a Vector2 from a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a Vector2 built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not a Vector
  Error | if data type read from stream is not compatible with requested vector type

## ◆ decodeVector2i64()

static Vector2i64 iolink::Serialization::decodeVector2i64 | ( | std::shared_ptr< StreamAccess > | inStream | ) |
| static

Factory to unserialize a Vector2 from a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a Vector2 built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not a Vector
  Error | if data type read from stream is not compatible with requested vector type

## ◆ decodeVector2i8()

static Vector2i8 iolink::Serialization::decodeVector2i8 | ( | std::shared_ptr< StreamAccess > | inStream | ) |
| static

Factory to unserialize a Vector2 from a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a Vector2 built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not a Vector
  Error | if data type read from stream is not compatible with requested vector type

## ◆ decodeVector2u16()

static Vector2u16 iolink::Serialization::decodeVector2u16 | ( | std::shared_ptr< StreamAccess > | inStream | ) |
| static

Factory to unserialize a Vector2 from a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a Vector2 built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not a Vector
  Error | if data type read from stream is not compatible with requested vector type

## ◆ decodeVector2u32()

static Vector2u32 iolink::Serialization::decodeVector2u32 | ( | std::shared_ptr< StreamAccess > | inStream | ) |
| static

Factory to unserialize a Vector2 from a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a Vector2 built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not a Vector
  Error | if data type read from stream is not compatible with requested vector type

## ◆ decodeVector2u64()

static Vector2u64 iolink::Serialization::decodeVector2u64 | ( | std::shared_ptr< StreamAccess > | inStream | ) |
| static

Factory to unserialize a Vector2 from a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a Vector2 built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not a Vector
  Error | if data type read from stream is not compatible with requested vector type

## ◆ decodeVector2u8()

static Vector2u8 iolink::Serialization::decodeVector2u8 | ( | std::shared_ptr< StreamAccess > | inStream | ) |
| static

Factory to unserialize a Vector2 from a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a Vector2 built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not a Vector
  Error | if data type read from stream is not compatible with requested vector type

## ◆ decodeVector3d()

static Vector3d iolink::Serialization::decodeVector3d | ( | std::shared_ptr< StreamAccess > | inStream | ) |
| static

Method to load a Vector3 which has been serialized into a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a Vector3 built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not a Vector
  Error | if data type read from stream is not compatible with requested vector type

## ◆ decodeVector3f()

static Vector3f iolink::Serialization::decodeVector3f | ( | std::shared_ptr< StreamAccess > | inStream | ) |
| static

Method to load a Vector3 which has been serialized into a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a Vector3 built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not a Vector
  Error | if data type read from stream is not compatible with requested vector type

## ◆ decodeVector3i16()

static Vector3i16 iolink::Serialization::decodeVector3i16 | ( | std::shared_ptr< StreamAccess > | inStream | ) |
| static

Method to load a Vector3 which has been serialized into a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a Vector3 built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not a Vector
  Error | if data type read from stream is not compatible with requested vector type

## ◆ decodeVector3i32()

static Vector3i32 iolink::Serialization::decodeVector3i32 | ( | std::shared_ptr< StreamAccess > | inStream | ) |
| static

Method to load a Vector3 which has been serialized into a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a Vector3 built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not a Vector
  Error | if data type read from stream is not compatible with requested vector type

## ◆ decodeVector3i64()

static Vector3i64 iolink::Serialization::decodeVector3i64 | ( | std::shared_ptr< StreamAccess > | inStream | ) |
| static

Method to load a Vector3 which has been serialized into a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a Vector3 built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not a Vector
  Error | if data type read from stream is not compatible with requested vector type

## ◆ decodeVector3i8()

static Vector3i8 iolink::Serialization::decodeVector3i8 | ( | std::shared_ptr< StreamAccess > | inStream | ) |
| static

Method to load a Vector3 which has been serialized into a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a Vector3 built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not a Vector
  Error | if data type read from stream is not compatible with requested vector type

## ◆ decodeVector3u16()

static Vector3u16 iolink::Serialization::decodeVector3u16 | ( | std::shared_ptr< StreamAccess > | inStream | ) |
| static

Method to load a Vector3 which has been serialized into a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a Vector3 built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not a Vector
  Error | if data type read from stream is not compatible with requested vector type

## ◆ decodeVector3u32()

static Vector3u32 iolink::Serialization::decodeVector3u32 | ( | std::shared_ptr< StreamAccess > | inStream | ) |
| static

Method to load a Vector3 which has been serialized into a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a Vector3 built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not a Vector
  Error | if data type read from stream is not compatible with requested vector type

## ◆ decodeVector3u64()

static Vector3u64 iolink::Serialization::decodeVector3u64 | ( | std::shared_ptr< StreamAccess > | inStream | ) |
| static

Method to load a Vector3 which has been serialized into a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a Vector3 built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not a Vector
  Error | if data type read from stream is not compatible with requested vector type

## ◆ decodeVector3u8()

static Vector3u8 iolink::Serialization::decodeVector3u8 | ( | std::shared_ptr< StreamAccess > | inStream | ) |
| static

Method to load a Vector3 which has been serialized into a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a Vector3 built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not a Vector
  Error | if data type read from stream is not compatible with requested vector type

## ◆ decodeVector4d()

static Vector4d iolink::Serialization::decodeVector4d | ( | std::shared_ptr< StreamAccess > | inStream | ) |
| static

Factory to unserialize a Vector4 from a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a Vector4 built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not a Vector
  Error | if data type read from stream is not compatible with requested vector type

## ◆ decodeVector4f()

static Vector4f iolink::Serialization::decodeVector4f | ( | std::shared_ptr< StreamAccess > | inStream | ) |
| static

Factory to unserialize a Vector4 from a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a Vector4 built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not a Vector
  Error | if data type read from stream is not compatible with requested vector type

## ◆ decodeVector4i16()

static Vector4i16 iolink::Serialization::decodeVector4i16 | ( | std::shared_ptr< StreamAccess > | inStream | ) |
| static

Factory to unserialize a Vector4 from a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a Vector4 built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not a Vector
  Error | if data type read from stream is not compatible with requested vector type

## ◆ decodeVector4i32()

static Vector4i32 iolink::Serialization::decodeVector4i32 | ( | std::shared_ptr< StreamAccess > | inStream | ) |
| static

Factory to unserialize a Vector4 from a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a Vector4 built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not a Vector
  Error | if data type read from stream is not compatible with requested vector type

## ◆ decodeVector4i64()

static Vector4i64 iolink::Serialization::decodeVector4i64 | ( | std::shared_ptr< StreamAccess > | inStream | ) |
| static

Factory to unserialize a Vector4 from a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a Vector4 built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not a Vector
  Error | if data type read from stream is not compatible with requested vector type

## ◆ decodeVector4i8()

static Vector4i8 iolink::Serialization::decodeVector4i8 | ( | std::shared_ptr< StreamAccess > | inStream | ) |
| static

Factory to unserialize a Vector4 from a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a Vector4 built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not a Vector
  Error | if data type read from stream is not compatible with requested vector type

## ◆ decodeVector4u16()

static Vector4u16 iolink::Serialization::decodeVector4u16 | ( | std::shared_ptr< StreamAccess > | inStream | ) |
| static

Factory to unserialize a Vector4 from a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a Vector4 built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not a Vector
  Error | if data type read from stream is not compatible with requested vector type

## ◆ decodeVector4u32()

static Vector4u32 iolink::Serialization::decodeVector4u32 | ( | std::shared_ptr< StreamAccess > | inStream | ) |
| static

Factory to unserialize a Vector4 from a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a Vector4 built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not a Vector
  Error | if data type read from stream is not compatible with requested vector type

## ◆ decodeVector4u64()

static Vector4u64 iolink::Serialization::decodeVector4u64 | ( | std::shared_ptr< StreamAccess > | inStream | ) |
| static

Factory to unserialize a Vector4 from a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a Vector4 built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not a Vector
  Error | if data type read from stream is not compatible with requested vector type

## ◆ decodeVector4u8()

static Vector4u8 iolink::Serialization::decodeVector4u8 | ( | std::shared_ptr< StreamAccess > | inStream | ) |
| static

Factory to unserialize a Vector4 from a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a Vector4 built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not a Vector
  Error | if data type read from stream is not compatible with requested vector type

## ◆ decodeVectorXd()

static VectorXd iolink::Serialization::decodeVectorXd | ( | std::shared_ptr< StreamAccess > | inStream | ) |
| static

Factory to unserialize a VectorX from a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a VectorX built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not a Vector
  Error | if data type read from stream is not compatible with requested vector type

## ◆ decodeVectorXf()

static VectorXf iolink::Serialization::decodeVectorXf | ( | std::shared_ptr< StreamAccess > | inStream | ) |
| static

Factory to unserialize a VectorX from a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a VectorX built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not a Vector
  Error | if data type read from stream is not compatible with requested vector type

## ◆ decodeVectorXi16()

static VectorXi16 iolink::Serialization::decodeVectorXi16 | ( | std::shared_ptr< StreamAccess > | inStream | ) |
| static

Factory to unserialize a VectorX from a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a VectorX built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not a Vector
  Error | if data type read from stream is not compatible with requested vector type

## ◆ decodeVectorXi32()

static VectorXi32 iolink::Serialization::decodeVectorXi32 | ( | std::shared_ptr< StreamAccess > | inStream | ) |
| static

Factory to unserialize a VectorX from a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a VectorX built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not a Vector
  Error | if data type read from stream is not compatible with requested vector type

## ◆ decodeVectorXi64()

static VectorXi64 iolink::Serialization::decodeVectorXi64 | ( | std::shared_ptr< StreamAccess > | inStream | ) |
| static

Factory to unserialize a VectorX from a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a VectorX built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not a Vector
  Error | if data type read from stream is not compatible with requested vector type

## ◆ decodeVectorXi8()

static VectorXi8 iolink::Serialization::decodeVectorXi8 | ( | std::shared_ptr< StreamAccess > | inStream | ) |
| static

Factory to unserialize a VectorX from a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a VectorX built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not a Vector
  Error | if data type read from stream is not compatible with requested vector type

## ◆ decodeVectorXu16()

static VectorXu16 iolink::Serialization::decodeVectorXu16 | ( | std::shared_ptr< StreamAccess > | inStream | ) |
| static

Factory to unserialize a VectorX from a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a VectorX built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not a Vector
  Error | if data type read from stream is not compatible with requested vector type

## ◆ decodeVectorXu32()

static VectorXu32 iolink::Serialization::decodeVectorXu32 | ( | std::shared_ptr< StreamAccess > | inStream | ) |
| static

Factory to unserialize a VectorX from a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a VectorX built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not a Vector
  Error | if data type read from stream is not compatible with requested vector type

## ◆ decodeVectorXu64()

static VectorXu64 iolink::Serialization::decodeVectorXu64 | ( | std::shared_ptr< StreamAccess > | inStream | ) |
| static

Factory to unserialize a VectorX from a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a VectorX built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not a Vector
  Error | if data type read from stream is not compatible with requested vector type

## ◆ decodeVectorXu8()

static VectorXu8 iolink::Serialization::decodeVectorXu8 | ( | std::shared_ptr< StreamAccess > | inStream | ) |
| static

Factory to unserialize a VectorX from a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a VectorX built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not a Vector
  Error | if data type read from stream is not compatible with requested vector type

## ◆ encodeArrayXd()

static void iolink::Serialization::encodeArrayXd | ( | const ArrayXd & | src,
|  | std::shared_ptr< StreamAccess > | dst
| ) |  |
| static

Serialize an Array into a stream.

Parameters

  src | The array to encode.
  dst | The stream where the encoded data is written.

## ◆ encodeArrayXf()

static void iolink::Serialization::encodeArrayXf | ( | const ArrayXf & | src,
|  | std::shared_ptr< StreamAccess > | dst
| ) |  |
| static

Serialize an Array into a stream.

Parameters

  src | The array to encode.
  dst | The stream where the encoded data is written.

## ◆ encodeArrayXi16()

static void iolink::Serialization::encodeArrayXi16 | ( | const ArrayXi16 & | src,
|  | std::shared_ptr< StreamAccess > | dst
| ) |  |
| static

Serialize an Array into a stream.

Parameters

  src | The array to encode.
  dst | The stream where the encoded data is written.

## ◆ encodeArrayXi32()

static void iolink::Serialization::encodeArrayXi32 | ( | const ArrayXi32 & | src,
|  | std::shared_ptr< StreamAccess > | dst
| ) |  |
| static

Serialize an Array into a stream.

Parameters

  src | The array to encode.
  dst | The stream where the encoded data is written.

## ◆ encodeArrayXi64()

static void iolink::Serialization::encodeArrayXi64 | ( | const ArrayXi64 & | src,
|  | std::shared_ptr< StreamAccess > | dst
| ) |  |
| static

Serialize an Array into a stream.

Parameters

  src | The array to encode.
  dst | The stream where the encoded data is written.

## ◆ encodeArrayXi8()

static void iolink::Serialization::encodeArrayXi8 | ( | const ArrayXi8 & | src,
|  | std::shared_ptr< StreamAccess > | dst
| ) |  |
| static

Serialize an Array into a stream.

Parameters

  src | The array to encode.
  dst | The stream where the encoded data is written.

## ◆ encodeArrayXu16()

static void iolink::Serialization::encodeArrayXu16 | ( | const ArrayXu16 & | src,
|  | std::shared_ptr< StreamAccess > | dst
| ) |  |
| static

Serialize an Array into a stream.

Parameters

  src | The array to encode.
  dst | The stream where the encoded data is written.

## ◆ encodeArrayXu32()

static void iolink::Serialization::encodeArrayXu32 | ( | const ArrayXu32 & | src,
|  | std::shared_ptr< StreamAccess > | dst
| ) |  |
| static

Serialize an Array into a stream.

Parameters

  src | The array to encode.
  dst | The stream where the encoded data is written.

## ◆ encodeArrayXu64()

static void iolink::Serialization::encodeArrayXu64 | ( | const ArrayXu64 & | src,
|  | std::shared_ptr< StreamAccess > | dst
| ) |  |
| static

Serialize an Array into a stream.

Parameters

  src | The array to encode.
  dst | The stream where the encoded data is written.

## ◆ encodeArrayXu8()

static void iolink::Serialization::encodeArrayXu8 | ( | const ArrayXu8 & | src,
|  | std::shared_ptr< StreamAccess > | dst
| ) |  |
| static

Serialize an Array into a stream.

Parameters

  src | The array to encode.
  dst | The stream where the encoded data is written.

## ◆ encodeDataFrameView()

static void iolink::Serialization::encodeDataFrameView | ( | std::shared_ptr< DataFrameView > | dataFrame,
|  | std::shared_ptr< StreamAccess > | outStream
| ) |  |
| static

Factory to serialize a DataFrameView into a stream.

Parameters

  dataFrame | DataFrameView to serialize
  outStream | Stream where data is written

Exceptions

  Error | if DataFrameView has not READ capacity

## ◆ encodeImageView()

static void iolink::Serialization::encodeImageView | ( | std::shared_ptr< ImageView > | image,
|  | std::shared_ptr< StreamAccess > | outStream
| ) |  |
| static

Factory to serialize an ImageView into a stream.

Parameters

  image | ImageView to serialize
  outStream | Stream where data is written

Exceptions

  Error | if ImageView has not READ capacity

## ◆ encodeMatrix3d()

static void iolink::Serialization::encodeMatrix3d | ( | const Matrix3d & | mat,
|  | std::shared_ptr< StreamAccess > | outStream
| ) |  |
| static

Factory to serialize a Matrix into a stream.

Parameters

  mat | Matrix to serialize
  outStream | Stream where data is written

## ◆ encodeMatrix3f()

static void iolink::Serialization::encodeMatrix3f | ( | const Matrix3f & | mat,
|  | std::shared_ptr< StreamAccess > | outStream
| ) |  |
| static

Factory to serialize a Matrix into a stream.

Parameters

  mat | Matrix to serialize
  outStream | Stream where data is written

## ◆ encodeMatrix4d()

static void iolink::Serialization::encodeMatrix4d | ( | const Matrix4d & | mat,
|  | std::shared_ptr< StreamAccess > | outStream
| ) |  |
| static

Factory to serialize a Matrix into a stream.

Parameters

  mat | Matrix to serialize
  outStream | Stream where data is written

## ◆ encodeMatrix4f()

static void iolink::Serialization::encodeMatrix4f | ( | const Matrix4f & | mat,
|  | std::shared_ptr< StreamAccess > | outStream
| ) |  |
| static

Factory to serialize a Matrix into a stream.

Parameters

  mat | Matrix to serialize
  outStream | Stream where data is written

## ◆ encodeVector2d()

static void iolink::Serialization::encodeVector2d | ( | const Vector2d & | vect,
|  | std::shared_ptr< StreamAccess > | outStream
| ) |  |
| static

Factory to serialize a Vector2 into a stream.

Parameters

  vect | Vector2 to serialize
  outStream | Stream where data is written

## ◆ encodeVector2f()

static void iolink::Serialization::encodeVector2f | ( | const Vector2f & | vect,
|  | std::shared_ptr< StreamAccess > | outStream
| ) |  |
| static

Factory to serialize a Vector2 into a stream.

Parameters

  vect | Vector2 to serialize
  outStream | Stream where data is written

## ◆ encodeVector2i16()

static void iolink::Serialization::encodeVector2i16 | ( | const Vector2i16 & | vect,
|  | std::shared_ptr< StreamAccess > | outStream
| ) |  |
| static

Factory to serialize a Vector2 into a stream.

Parameters

  vect | Vector2 to serialize
  outStream | Stream where data is written

## ◆ encodeVector2i32()

static void iolink::Serialization::encodeVector2i32 | ( | const Vector2i32 & | vect,
|  | std::shared_ptr< StreamAccess > | outStream
| ) |  |
| static

Factory to serialize a Vector2 into a stream.

Parameters

  vect | Vector2 to serialize
  outStream | Stream where data is written

## ◆ encodeVector2i64()

static void iolink::Serialization::encodeVector2i64 | ( | const Vector2i64 & | vect,
|  | std::shared_ptr< StreamAccess > | outStream
| ) |  |
| static

Factory to serialize a Vector2 into a stream.

Parameters

  vect | Vector2 to serialize
  outStream | Stream where data is written

## ◆ encodeVector2i8()

static void iolink::Serialization::encodeVector2i8 | ( | const Vector2i8 & | vect,
|  | std::shared_ptr< StreamAccess > | outStream
| ) |  |
| static

Factory to serialize a Vector2 into a stream.

Parameters

  vect | Vector2 to serialize
  outStream | Stream where data is written

## ◆ encodeVector2u16()

static void iolink::Serialization::encodeVector2u16 | ( | const Vector2u16 & | vect,
|  | std::shared_ptr< StreamAccess > | outStream
| ) |  |
| static

Factory to serialize a Vector2 into a stream.

Parameters

  vect | Vector2 to serialize
  outStream | Stream where data is written

## ◆ encodeVector2u32()

static void iolink::Serialization::encodeVector2u32 | ( | const Vector2u32 & | vect,
|  | std::shared_ptr< StreamAccess > | outStream
| ) |  |
| static

Factory to serialize a Vector2 into a stream.

Parameters

  vect | Vector2 to serialize
  outStream | Stream where data is written

## ◆ encodeVector2u64()

static void iolink::Serialization::encodeVector2u64 | ( | const Vector2u64 & | vect,
|  | std::shared_ptr< StreamAccess > | outStream
| ) |  |
| static

Factory to serialize a Vector2 into a stream.

Parameters

  vect | Vector2 to serialize
  outStream | Stream where data is written

## ◆ encodeVector2u8()

static void iolink::Serialization::encodeVector2u8 | ( | const Vector2u8 & | vect,
|  | std::shared_ptr< StreamAccess > | outStream
| ) |  |
| static

Factory to serialize a Vector2 into a stream.

Parameters

  vect | Vector2 to serialize
  outStream | Stream where data is written

## ◆ encodeVector3d()

static void iolink::Serialization::encodeVector3d | ( | const Vector3d & | vect,
|  | std::shared_ptr< StreamAccess > | outStream
| ) |  |
| static

Factory to serialize a Vector3 into a stream.

Parameters

  vect | Vector3 to serialize
  outStream | Stream where data is written

## ◆ encodeVector3f()

static void iolink::Serialization::encodeVector3f | ( | const Vector3f & | vect,
|  | std::shared_ptr< StreamAccess > | outStream
| ) |  |
| static

Factory to serialize a Vector3 into a stream.

Parameters

  vect | Vector3 to serialize
  outStream | Stream where data is written

## ◆ encodeVector3i16()

static void iolink::Serialization::encodeVector3i16 | ( | const Vector3i16 & | vect,
|  | std::shared_ptr< StreamAccess > | outStream
| ) |  |
| static

Factory to serialize a Vector3 into a stream.

Parameters

  vect | Vector3 to serialize
  outStream | Stream where data is written

## ◆ encodeVector3i32()

static void iolink::Serialization::encodeVector3i32 | ( | const Vector3i32 & | vect,
|  | std::shared_ptr< StreamAccess > | outStream
| ) |  |
| static

Factory to serialize a Vector3 into a stream.

Parameters

  vect | Vector3 to serialize
  outStream | Stream where data is written

## ◆ encodeVector3i64()

static void iolink::Serialization::encodeVector3i64 | ( | const Vector3i64 & | vect,
|  | std::shared_ptr< StreamAccess > | outStream
| ) |  |
| static

Factory to serialize a Vector3 into a stream.

Parameters

  vect | Vector3 to serialize
  outStream | Stream where data is written

## ◆ encodeVector3i8()

static void iolink::Serialization::encodeVector3i8 | ( | const Vector3i8 & | vect,
|  | std::shared_ptr< StreamAccess > | outStream
| ) |  |
| static

Factory to serialize a Vector3 into a stream.

Parameters

  vect | Vector3 to serialize
  outStream | Stream where data is written

## ◆ encodeVector3u16()

static void iolink::Serialization::encodeVector3u16 | ( | const Vector3u16 & | vect,
|  | std::shared_ptr< StreamAccess > | outStream
| ) |  |
| static

Factory to serialize a Vector3 into a stream.

Parameters

  vect | Vector3 to serialize
  outStream | Stream where data is written

## ◆ encodeVector3u32()

static void iolink::Serialization::encodeVector3u32 | ( | const Vector3u32 & | vect,
|  | std::shared_ptr< StreamAccess > | outStream
| ) |  |
| static

Factory to serialize a Vector3 into a stream.

Parameters

  vect | Vector3 to serialize
  outStream | Stream where data is written

## ◆ encodeVector3u64()

static void iolink::Serialization::encodeVector3u64 | ( | const Vector3u64 & | vect,
|  | std::shared_ptr< StreamAccess > | outStream
| ) |  |
| static

Factory to serialize a Vector3 into a stream.

Parameters

  vect | Vector3 to serialize
  outStream | Stream where data is written

## ◆ encodeVector3u8()

static void iolink::Serialization::encodeVector3u8 | ( | const Vector3u8 & | vect,
|  | std::shared_ptr< StreamAccess > | outStream
| ) |  |
| static

Factory to serialize a Vector3 into a stream.

Parameters

  vect | Vector3 to serialize
  outStream | Stream where data is written

## ◆ encodeVector4d()

static void iolink::Serialization::encodeVector4d | ( | const Vector4d & | vect,
|  | std::shared_ptr< StreamAccess > | outStream
| ) |  |
| static

Factory to serialize a Vector4 into a stream.

Parameters

  vect | Vector4 to serialize
  outStream | Stream where data is written

## ◆ encodeVector4f()

static void iolink::Serialization::encodeVector4f | ( | const Vector4f & | vect,
|  | std::shared_ptr< StreamAccess > | outStream
| ) |  |
| static

Factory to serialize a Vector4 into a stream.

Parameters

  vect | Vector4 to serialize
  outStream | Stream where data is written

## ◆ encodeVector4i16()

static void iolink::Serialization::encodeVector4i16 | ( | const Vector4i16 & | vect,
|  | std::shared_ptr< StreamAccess > | outStream
| ) |  |
| static

Factory to serialize a Vector4 into a stream.

Parameters

  vect | Vector4 to serialize
  outStream | Stream where data is written

## ◆ encodeVector4i32()

static void iolink::Serialization::encodeVector4i32 | ( | const Vector4i32 & | vect,
|  | std::shared_ptr< StreamAccess > | outStream
| ) |  |
| static

Factory to serialize a Vector4 into a stream.

Parameters

  vect | Vector4 to serialize
  outStream | Stream where data is written

## ◆ encodeVector4i64()

static void iolink::Serialization::encodeVector4i64 | ( | const Vector4i64 & | vect,
|  | std::shared_ptr< StreamAccess > | outStream
| ) |  |
| static

Factory to serialize a Vector4 into a stream.

Parameters

  vect | Vector4 to serialize
  outStream | Stream where data is written

## ◆ encodeVector4i8()

static void iolink::Serialization::encodeVector4i8 | ( | const Vector4i8 & | vect,
|  | std::shared_ptr< StreamAccess > | outStream
| ) |  |
| static

Factory to serialize a Vector4 into a stream.

Parameters

  vect | Vector4 to serialize
  outStream | Stream where data is written

## ◆ encodeVector4u16()

static void iolink::Serialization::encodeVector4u16 | ( | const Vector4u16 & | vect,
|  | std::shared_ptr< StreamAccess > | outStream
| ) |  |
| static

Factory to serialize a Vector4 into a stream.

Parameters

  vect | Vector4 to serialize
  outStream | Stream where data is written

## ◆ encodeVector4u32()

static void iolink::Serialization::encodeVector4u32 | ( | const Vector4u32 & | vect,
|  | std::shared_ptr< StreamAccess > | outStream
| ) |  |
| static

Factory to serialize a Vector4 into a stream.

Parameters

  vect | Vector4 to serialize
  outStream | Stream where data is written

## ◆ encodeVector4u64()

static void iolink::Serialization::encodeVector4u64 | ( | const Vector4u64 & | vect,
|  | std::shared_ptr< StreamAccess > | outStream
| ) |  |
| static

Factory to serialize a Vector4 into a stream.

Parameters

  vect | Vector4 to serialize
  outStream | Stream where data is written

## ◆ encodeVector4u8()

static void iolink::Serialization::encodeVector4u8 | ( | const Vector4u8 & | vect,
|  | std::shared_ptr< StreamAccess > | outStream
| ) |  |
| static

Factory to serialize a Vector4 into a stream.

Parameters

  vect | Vector4 to serialize
  outStream | Stream where data is written

## ◆ encodeVectorXd()

static void iolink::Serialization::encodeVectorXd | ( | const VectorXd & | vect,
|  | std::shared_ptr< StreamAccess > | outStream
| ) |  |
| static

Factory to serialize a VectorX into a stream.

Parameters

  vect | VectorX to serialize
  outStream | Stream where data is written

## ◆ encodeVectorXf()

static void iolink::Serialization::encodeVectorXf | ( | const VectorXf & | vect,
|  | std::shared_ptr< StreamAccess > | outStream
| ) |  |
| static

Factory to serialize a VectorX into a stream.

Parameters

  vect | VectorX to serialize
  outStream | Stream where data is written

## ◆ encodeVectorXi16()

static void iolink::Serialization::encodeVectorXi16 | ( | const VectorXi16 & | vect,
|  | std::shared_ptr< StreamAccess > | outStream
| ) |  |
| static

Factory to serialize a VectorX into a stream.

Parameters

  vect | VectorX to serialize
  outStream | Stream where data is written

## ◆ encodeVectorXi32()

static void iolink::Serialization::encodeVectorXi32 | ( | const VectorXi32 & | vect,
|  | std::shared_ptr< StreamAccess > | outStream
| ) |  |
| static

Factory to serialize a VectorX into a stream.

Parameters

  vect | VectorX to serialize
  outStream | Stream where data is written

## ◆ encodeVectorXi64()

static void iolink::Serialization::encodeVectorXi64 | ( | const VectorXi64 & | vect,
|  | std::shared_ptr< StreamAccess > | outStream
| ) |  |
| static

Factory to serialize a VectorX into a stream.

Parameters

  vect | VectorX to serialize
  outStream | Stream where data is written

## ◆ encodeVectorXi8()

static void iolink::Serialization::encodeVectorXi8 | ( | const VectorXi8 & | vect,
|  | std::shared_ptr< StreamAccess > | outStream
| ) |  |
| static

Factory to serialize a VectorX into a stream.

Parameters

  vect | VectorX to serialize
  outStream | Stream where data is written

## ◆ encodeVectorXu16()

static void iolink::Serialization::encodeVectorXu16 | ( | const VectorXu16 & | vect,
|  | std::shared_ptr< StreamAccess > | outStream
| ) |  |
| static

Factory to serialize a VectorX into a stream.

Parameters

  vect | VectorX to serialize
  outStream | Stream where data is written

## ◆ encodeVectorXu32()

static void iolink::Serialization::encodeVectorXu32 | ( | const VectorXu32 & | vect,
|  | std::shared_ptr< StreamAccess > | outStream
| ) |  |
| static

Factory to serialize a VectorX into a stream.

Parameters

  vect | VectorX to serialize
  outStream | Stream where data is written

## ◆ encodeVectorXu64()

static void iolink::Serialization::encodeVectorXu64 | ( | const VectorXu64 & | vect,
|  | std::shared_ptr< StreamAccess > | outStream
| ) |  |
| static

Factory to serialize a VectorX into a stream.

Parameters

  vect | VectorX to serialize
  outStream | Stream where data is written

## ◆ encodeVectorXu8()

static void iolink::Serialization::encodeVectorXu8 | ( | const VectorXu8 & | vect,
|  | std::shared_ptr< StreamAccess > | outStream
| ) |  |
| static

Factory to serialize a VectorX into a stream.

Parameters

  vect | VectorX to serialize
  outStream | Stream where data is written

The documentation for this class was generated from the following file:

- iolink/public/include/iolink/serialization/Serialization.h